Convert separated audio tracks into MIDI format with detailed note information for each instrument.
| Name | Type | Description |
|---|---|---|
task_id | string | Required. Task ID from a completed vocal separation. |
callBackUrl | string | Required. URL to receive MIDI generation completion notifications. |
audio_id | string | Optional. The id of a stem from the separation callback (vocal_removal_info.origin_data[].id). If omitted, MIDI is generated from all stems. |
pitch (MIDI note number), start (seconds), end (seconds), velocity (0-1).curl --location 'https://api.kie.ai/api/v1/jobs/createTask' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "ai-music-api/generate-midi-from-audio",
"callBackUrl": "https://example.callback",
"input": {
"task_id": "5c79****be8e",
"audio_id": "8ca376e7-******-08aaf2c6dd27"
}
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "5c79****be8e"
}
}